<div class="main-content">
  <div class="container-fluid">
      <div class="row">
          <div class="col-md-12">
              <div class="card">
                  <div class="card-header card-header-danger">
                      <h4 class="card-title ">Activities List</h4>
                      <p class="card-category">Here you can modify constraints for activities</p>
                  </div>
                  <div class="card-body">
                      <div class="table-responsive">
                          <table class="table">
                              <thead class=" text-primary">
                                  <th>
                                      Name
                                  </th>
                                  <th>
                                      Localisation
                                  </th>
                                  <th>
                                      Meteo Restriction
                                  </th>
                              </thead>
                              <tbody>
                                  <tr *ngFor="let activity of activities">
                                      <td>{{activity.type}}</td>
                                      <td>
                                          <mat-form-field class="example-full-width">
                                              <mat-label>Localisation</mat-label>
                                              <mat-select [(ngModel)]="selectedLocalisation" (valueChange)="updateActivity(activity.id)">
                                                  <mat-option *ngFor="let localisation of localisations" value="{{localisation.id}}">
                                                      {{localisation.name}}
                                                  </mat-option>
                                              </mat-select>
                                          </mat-form-field>
                                      </td>
                                      <td>
                                          <table class="table">
                                          <tbody>
                                          <tr>
                                              <td class="tdcell">
                                                  <div class="form-check">
                                                      <label class="form-check-label">
                                                          <input class="form-check-input" type="checkbox" value="">
                                                          <span class="form-check-sign">
                                                          <span class="check"></span>
                                                      </span>
                                                      </label>
                                                  </div>
                                              </td>
                                              <td>Rainny</td>
                                          </tr>
                                          <tr>
                                              <td class="tdcell">
                                                  <div class="form-check">
                                                      <label class="form-check-label">
                                                          <input class="form-check-input" type="checkbox" value="">
                                                          <span class="form-check-sign">
                                                          <span class="check"></span>
                                                      </span>
                                                      </label>
                                                  </div>
                                              </td>
                                              <td>Sunny</td>
                                          </tr>
                                          </tbody>
                                        </table>
                                      </td>
                                  </tr>
                              </tbody>
                          </table>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
